#!/bin/bash

# asciiart genrator
# http://www.network-science.de/ascii/ Font big for SabLink

#clear

COLOUR_LOGO="31"
COLOUR_INFO1="32"
COLOUR_INFO2="31"
COLOUR_INFO3="37"

echo ''
echo '[0;40mHello, welcome to [1;'${COLOUR_INFO1}';40m'$(uname -n)'[0;40m, running'
echo '[0;'${COLOUR_LOGO}';40m  _____       _     _      _       _    '
echo '[0;'${COLOUR_LOGO}';40m / ____|     | |   | |    (_)     | |   '
echo '[0;'${COLOUR_LOGO}';40m| (___   __ _| |__ | |     _ _ __ | | __'
echo '[0;'${COLOUR_LOGO}';40m \___ \ / _` | ´_ \| |    | | ´_ \| |/ /'
echo '[0;'${COLOUR_LOGO}';40m ____) | (_| | |_) | |____| | | | |   < '
echo '[0;'${COLOUR_LOGO}';40m|_____/ \__,_|_.__/|______|_|_| |_|_|\_\'
echo '[0;37;40m'


echo '[1;'${COLOUR_INFO2}';40m'$(uname -s)' '$(uname -m)' '$(uname -r)' [0;40m(compiled [0;'${COLOUR_INFO3}';40m'$(uname -v)'[0;40m)'
echo ''
echo '[0;40mProcessor       : [0;'${COLOUR_INFO1}';40m'$(cat /proc/cpuinfo | grep -i 'Processor' | cut -c 13-50 )''
echo '[0;40mBogoMIPS        : [0;'${COLOUR_INFO1}';40m'$(cat /proc/cpuinfo | grep -i 'BogoMIPS' | cut -c 12-50 | tr -d ' ')''
echo '[0;40mRAM             : [0;'${COLOUR_INFO1}';40m'$(free -m | grep -i 'Mem:' | cut -c 13-20)'[0;'${COLOUR_INFO3}';40mMB'
echo '[0;40mSwap            : [0;'${COLOUR_INFO1}';40m'$(free -m | grep -i 'Swap:' | cut -c 15-20)'[0;'${COLOUR_INFO3}';40mMB'
echo '[0;40mUptime          : [0;'${COLOUR_INFO3}';40m'$(uptime | cut -c 2-60)''
echo '[0;40mLogged on as    : [0;'${COLOUR_INFO1}';40m'$(whoami)'[0;40m on [0;'${COLOUR_INFO1}';40m'$(tty)'[0;'${COLOUR_INFO3}';40m since [0;'${COLOUR_INFO1}';40m'$(date)''
echo '[0;40mUsers logged in : [0;'${COLOUR_INFO1}';40m'$(who -q | more +1)''
echo ''
echo '[0;40mPackage updates : [0;'${COLOUR_INFO1}';40m'$(equo-update-check)' available updates'
echo ''
